com.amazonaws.services.simpleworkflow.model

## Class ContinueAsNewWorkflowExecutionDecisionAttributes

- java.lang.Object
- - com.amazonaws.services.simpleworkflow.model.ContinueAsNewWorkflowExecutionDecisionAttributes

All Implemented Interfaces:
  Serializable, Cloneable

    public class ContinueAsNewWorkflowExecutionDecisionAttributes
    extends Object
    implements Serializable, Cloneable

Provides details of the `ContinueAsNewWorkflowExecution` decision.

Access Control

You can use IAM policies to control this decision's access to Amazon SWF resources as follows:

- Use a `Resource` element with the domain name to limit the action to only specified domains.
- Use an `Action` element to allow or deny permission to call this action.
- Constrain the following parameters by using a `Condition` element with the appropriate keys.
  - `tag`: Optional.. A tag used to identify the workflow execution
  - `taskList`: String constraint. The key is `swf:taskList.name`.
  - `workflowType.version`: String constraint. The key is `swf:workflowType.version`.

If the caller does not have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's cause parameter will be set to OPERATION_NOT_PERMITTED. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ContinueAsNewWorkflowExecutionDecisionAttributes()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ContinueAsNewWorkflowExecutionDecisionAttributes` `clone()`
`boolean` `equals(Object obj)`
`String` `getChildPolicy()` If set, specifies the policy to use for the child workflow executions of the new execution if it is terminated by calling the TerminateWorkflowExecution action explicitly or due to an expired timeout.
`String` `getExecutionStartToCloseTimeout()` If set, specifies the total duration for this workflow execution.
`String` `getInput()` The input provided to the new workflow execution.
`String` `getLambdaRole()` The ARN of an IAM role that authorizes Amazon SWF to invoke AWS Lambda functions.
`List<String>` `getTagList()` The list of tags to associate with the new workflow execution.
`TaskList` `getTaskList()`
`String` `getTaskPriority()` Optional. The task priority that, if set, specifies the priority for the decision tasks for this workflow execution.
`String` `getTaskStartToCloseTimeout()` Specifies the maximum duration of decision tasks for the new workflow execution.
`String` `getWorkflowTypeVersion()`
`int` `hashCode()`
`void` `setChildPolicy(ChildPolicy childPolicy)` If set, specifies the policy to use for the child workflow executions of the new execution if it is terminated by calling the TerminateWorkflowExecution action explicitly or due to an expired timeout.
`void` `setChildPolicy(String childPolicy)` If set, specifies the policy to use for the child workflow executions of the new execution if it is terminated by calling the TerminateWorkflowExecution action explicitly or due to an expired timeout.
`void` `setExecutionStartToCloseTimeout(String executionStartToCloseTimeout)` If set, specifies the total duration for this workflow execution.
`void` `setInput(String input)` The input provided to the new workflow execution.
`void` `setLambdaRole(String lambdaRole)` The ARN of an IAM role that authorizes Amazon SWF to invoke AWS Lambda functions.
`void` `setTagList(Collection<String> tagList)` The list of tags to associate with the new workflow execution.
`void` `setTaskList(TaskList taskList)`
`void` `setTaskPriority(String taskPriority)` Optional. The task priority that, if set, specifies the priority for the decision tasks for this workflow execution.
`void` `setTaskStartToCloseTimeout(String taskStartToCloseTimeout)` Specifies the maximum duration of decision tasks for the new workflow execution.
`void` `setWorkflowTypeVersion(String workflowTypeVersion)`
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`ContinueAsNewWorkflowExecutionDecisionAttributes` `withChildPolicy(ChildPolicy childPolicy)` If set, specifies the policy to use for the child workflow executions of the new execution if it is terminated by calling the TerminateWorkflowExecution action explicitly or due to an expired timeout.
`ContinueAsNewWorkflowExecutionDecisionAttributes` `withChildPolicy(String childPolicy)` If set, specifies the policy to use for the child workflow executions of the new execution if it is terminated by calling the TerminateWorkflowExecution action explicitly or due to an expired timeout.
`ContinueAsNewWorkflowExecutionDecisionAttributes` `withExecutionStartToCloseTimeout(String executionStartToCloseTimeout)` If set, specifies the total duration for this workflow execution.
`ContinueAsNewWorkflowExecutionDecisionAttributes` `withInput(String input)` The input provided to the new workflow execution.
`ContinueAsNewWorkflowExecutionDecisionAttributes` `withLambdaRole(String lambdaRole)` The ARN of an IAM role that authorizes Amazon SWF to invoke AWS Lambda functions.
`ContinueAsNewWorkflowExecutionDecisionAttributes` `withTagList(Collection<String> tagList)` The list of tags to associate with the new workflow execution.
`ContinueAsNewWorkflowExecutionDecisionAttributes` `withTagList(String... tagList)` The list of tags to associate with the new workflow execution.
`ContinueAsNewWorkflowExecutionDecisionAttributes` `withTaskList(TaskList taskList)`
`ContinueAsNewWorkflowExecutionDecisionAttributes` `withTaskPriority(String taskPriority)` Optional. The task priority that, if set, specifies the priority for the decision tasks for this workflow execution.
`ContinueAsNewWorkflowExecutionDecisionAttributes` `withTaskStartToCloseTimeout(String taskStartToCloseTimeout)` Specifies the maximum duration of decision tasks for the new workflow execution.
`ContinueAsNewWorkflowExecutionDecisionAttributes` `withWorkflowTypeVersion(String workflowTypeVersion)`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ContinueAsNewWorkflowExecutionDecisionAttributes

    public ContinueAsNewWorkflowExecutionDecisionAttributes()

### Method Detail

#### setInput

    public void setInput(String input)

The input provided to the new workflow execution.

Parameters:
  `input` - The input provided to the new workflow execution.

#### getInput

    public String getInput()

The input provided to the new workflow execution.

Returns:
  The input provided to the new workflow execution.

#### withInput

    public ContinueAsNewWorkflowExecutionDecisionAttributes withInput(String input)

The input provided to the new workflow execution.

Parameters:
  `input` - The input provided to the new workflow execution.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setExecutionStartToCloseTimeout

    public void setExecutionStartToCloseTimeout(String executionStartToCloseTimeout)

If set, specifies the total duration for this workflow execution. This overrides the `defaultExecutionStartToCloseTimeout` specified when registering the workflow type.

The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

<note>An execution start-to-close timeout for this workflow execution must be specified either as a default for the workflow type or through this field. If neither this field is set nor a default execution start-to-close timeout was specified at registration time then a fault will be returned.</note>

Parameters:
  `executionStartToCloseTimeout` - If set, specifies the total duration for this workflow execution. This overrides the `defaultExecutionStartToCloseTimeout` specified when registering the workflow type.

  The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

  <note>An execution start-to-close timeout for this workflow execution must be specified either as a default for the workflow type or through this field. If neither this field is set nor a default execution start-to-close timeout was specified at registration time then a fault will be returned.

#### getExecutionStartToCloseTimeout

    public String getExecutionStartToCloseTimeout()

If set, specifies the total duration for this workflow execution. This overrides the `defaultExecutionStartToCloseTimeout` specified when registering the workflow type.

The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

<note>An execution start-to-close timeout for this workflow execution must be specified either as a default for the workflow type or through this field. If neither this field is set nor a default execution start-to-close timeout was specified at registration time then a fault will be returned.</note>

Returns:
  If set, specifies the total duration for this workflow execution. This overrides the `defaultExecutionStartToCloseTimeout` specified when registering the workflow type.

  The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

  <note>An execution start-to-close timeout for this workflow execution must be specified either as a default for the workflow type or through this field. If neither this field is set nor a default execution start-to-close timeout was specified at registration time then a fault will be returned.

#### withExecutionStartToCloseTimeout

    public ContinueAsNewWorkflowExecutionDecisionAttributes withExecutionStartToCloseTimeout(String executionStartToCloseTimeout)

If set, specifies the total duration for this workflow execution. This overrides the `defaultExecutionStartToCloseTimeout` specified when registering the workflow type.

The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

<note>An execution start-to-close timeout for this workflow execution must be specified either as a default for the workflow type or through this field. If neither this field is set nor a default execution start-to-close timeout was specified at registration time then a fault will be returned.</note>

Parameters:
  `executionStartToCloseTimeout` - If set, specifies the total duration for this workflow execution. This overrides the `defaultExecutionStartToCloseTimeout` specified when registering the workflow type.

  The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

  <note>An execution start-to-close timeout for this workflow execution must be specified either as a default for the workflow type or through this field. If neither this field is set nor a default execution start-to-close timeout was specified at registration time then a fault will be returned.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setTaskList

    public void setTaskList(TaskList taskList)

Parameters:
  `taskList` -

#### getTaskList

    public TaskList getTaskList()

Returns:

#### withTaskList

    public ContinueAsNewWorkflowExecutionDecisionAttributes withTaskList(TaskList taskList)

Parameters:
  `taskList` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setTaskPriority

    public void setTaskPriority(String taskPriority)

Optional. The task priority that, if set, specifies the priority for the decision tasks for this workflow execution. This overrides the defaultTaskPriority specified when registering the workflow type. Valid values are integers that range from Java's `Integer.MIN_VALUE` (-2147483648) to `Integer.MAX_VALUE` (2147483647). Higher numbers indicate higher priority.

For more information about setting task priority, see Setting Task Priority in the Amazon Simple Workflow Developer Guide.

Parameters:
  `taskPriority` - Optional. The task priority that, if set, specifies the priority for the decision tasks for this workflow execution. This overrides the defaultTaskPriority specified when registering the workflow type. Valid values are integers that range from Java's `Integer.MIN_VALUE` (-2147483648) to `Integer.MAX_VALUE` (2147483647). Higher numbers indicate higher priority.

  For more information about setting task priority, see Setting Task Priority in the Amazon Simple Workflow Developer Guide

#### getTaskPriority

    public String getTaskPriority()

Optional. The task priority that, if set, specifies the priority for the decision tasks for this workflow execution. This overrides the defaultTaskPriority specified when registering the workflow type. Valid values are integers that range from Java's `Integer.MIN_VALUE` (-2147483648) to `Integer.MAX_VALUE` (2147483647). Higher numbers indicate higher priority.

For more information about setting task priority, see Setting Task Priority in the Amazon Simple Workflow Developer Guide.

Returns:
  Optional. The task priority that, if set, specifies the priority for the decision tasks for this workflow execution. This overrides the defaultTaskPriority specified when registering the workflow type. Valid values are integers that range from Java's `Integer.MIN_VALUE` (-2147483648) to `Integer.MAX_VALUE` (2147483647). Higher numbers indicate higher priority.

  For more information about setting task priority, see Setting Task Priority in the Amazon Simple Workflow Developer Guide

#### withTaskPriority

    public ContinueAsNewWorkflowExecutionDecisionAttributes withTaskPriority(String taskPriority)

Optional. The task priority that, if set, specifies the priority for the decision tasks for this workflow execution. This overrides the defaultTaskPriority specified when registering the workflow type. Valid values are integers that range from Java's `Integer.MIN_VALUE` (-2147483648) to `Integer.MAX_VALUE` (2147483647). Higher numbers indicate higher priority.

For more information about setting task priority, see Setting Task Priority in the Amazon Simple Workflow Developer Guide.

Parameters:
  `taskPriority` - Optional. The task priority that, if set, specifies the priority for the decision tasks for this workflow execution. This overrides the defaultTaskPriority specified when registering the workflow type. Valid values are integers that range from Java's `Integer.MIN_VALUE` (-2147483648) to `Integer.MAX_VALUE` (2147483647). Higher numbers indicate higher priority.

  For more information about setting task priority, see Setting Task Priority in the Amazon Simple Workflow Developer Guide

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setTaskStartToCloseTimeout

    public void setTaskStartToCloseTimeout(String taskStartToCloseTimeout)

Specifies the maximum duration of decision tasks for the new workflow execution. This parameter overrides the `defaultTaskStartToCloseTimout` specified when registering the workflow type using RegisterWorkflowType.

The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

<note>A task start-to-close timeout for the new workflow execution must be specified either as a default for the workflow type or through this parameter. If neither this parameter is set nor a default task start-to-close timeout was specified at registration time then a fault will be returned.</note>

Parameters:
  `taskStartToCloseTimeout` - Specifies the maximum duration of decision tasks for the new workflow execution. This parameter overrides the `defaultTaskStartToCloseTimout` specified when registering the workflow type using RegisterWorkflowType.

  The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

  <note>A task start-to-close timeout for the new workflow execution must be specified either as a default for the workflow type or through this parameter. If neither this parameter is set nor a default task start-to-close timeout was specified at registration time then a fault will be returned.

#### getTaskStartToCloseTimeout

    public String getTaskStartToCloseTimeout()

Specifies the maximum duration of decision tasks for the new workflow execution. This parameter overrides the `defaultTaskStartToCloseTimout` specified when registering the workflow type using RegisterWorkflowType.

The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

<note>A task start-to-close timeout for the new workflow execution must be specified either as a default for the workflow type or through this parameter. If neither this parameter is set nor a default task start-to-close timeout was specified at registration time then a fault will be returned.</note>

Returns:
  Specifies the maximum duration of decision tasks for the new workflow execution. This parameter overrides the `defaultTaskStartToCloseTimout` specified when registering the workflow type using RegisterWorkflowType.

  The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

  <note>A task start-to-close timeout for the new workflow execution must be specified either as a default for the workflow type or through this parameter. If neither this parameter is set nor a default task start-to-close timeout was specified at registration time then a fault will be returned.

#### withTaskStartToCloseTimeout

    public ContinueAsNewWorkflowExecutionDecisionAttributes withTaskStartToCloseTimeout(String taskStartToCloseTimeout)

Specifies the maximum duration of decision tasks for the new workflow execution. This parameter overrides the `defaultTaskStartToCloseTimout` specified when registering the workflow type using RegisterWorkflowType.

The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

<note>A task start-to-close timeout for the new workflow execution must be specified either as a default for the workflow type or through this parameter. If neither this parameter is set nor a default task start-to-close timeout was specified at registration time then a fault will be returned.</note>

Parameters:
  `taskStartToCloseTimeout` - Specifies the maximum duration of decision tasks for the new workflow execution. This parameter overrides the `defaultTaskStartToCloseTimout` specified when registering the workflow type using RegisterWorkflowType.

  The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

  <note>A task start-to-close timeout for the new workflow execution must be specified either as a default for the workflow type or through this parameter. If neither this parameter is set nor a default task start-to-close timeout was specified at registration time then a fault will be returned.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setChildPolicy

    public void setChildPolicy(String childPolicy)

If set, specifies the policy to use for the child workflow executions of the new execution if it is terminated by calling the TerminateWorkflowExecution action explicitly or due to an expired timeout. This policy overrides the default child policy specified when registering the workflow type using RegisterWorkflowType.

The supported child policies are:

- TERMINATE: the child executions will be terminated.
- REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
- ABANDON: no action will be taken. The child executions will continue to run.

<note>A child policy for this workflow execution must be specified either as a default for the workflow type or through this parameter. If neither this parameter is set nor a default child policy was specified at registration time then a fault will be returned.</note>

Parameters:
  `childPolicy` - If set, specifies the policy to use for the child workflow executions of the new execution if it is terminated by calling the TerminateWorkflowExecution action explicitly or due to an expired timeout. This policy overrides the default child policy specified when registering the workflow type using RegisterWorkflowType.

  The supported child policies are:

  - TERMINATE: the child executions will be terminated.
  - REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
  - ABANDON: no action will be taken. The child executions will continue to run.
  <note>A child policy for this workflow execution must be specified either as a default for the workflow type or through this parameter. If neither this parameter is set nor a default child policy was specified at registration time then a fault will be returned.
See Also:
  `ChildPolicy`

#### getChildPolicy

    public String getChildPolicy()

If set, specifies the policy to use for the child workflow executions of the new execution if it is terminated by calling the TerminateWorkflowExecution action explicitly or due to an expired timeout. This policy overrides the default child policy specified when registering the workflow type using RegisterWorkflowType.

The supported child policies are:

- TERMINATE: the child executions will be terminated.
- REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
- ABANDON: no action will be taken. The child executions will continue to run.

<note>A child policy for this workflow execution must be specified either as a default for the workflow type or through this parameter. If neither this parameter is set nor a default child policy was specified at registration time then a fault will be returned.</note>

Returns:
  If set, specifies the policy to use for the child workflow executions of the new execution if it is terminated by calling the TerminateWorkflowExecution action explicitly or due to an expired timeout. This policy overrides the default child policy specified when registering the workflow type using RegisterWorkflowType.

  The supported child policies are:

  - TERMINATE: the child executions will be terminated.
  - REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
  - ABANDON: no action will be taken. The child executions will continue to run.
  <note>A child policy for this workflow execution must be specified either as a default for the workflow type or through this parameter. If neither this parameter is set nor a default child policy was specified at registration time then a fault will be returned.
See Also:
  `ChildPolicy`

#### withChildPolicy

    public ContinueAsNewWorkflowExecutionDecisionAttributes withChildPolicy(String childPolicy)

If set, specifies the policy to use for the child workflow executions of the new execution if it is terminated by calling the TerminateWorkflowExecution action explicitly or due to an expired timeout. This policy overrides the default child policy specified when registering the workflow type using RegisterWorkflowType.

The supported child policies are:

- TERMINATE: the child executions will be terminated.
- REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
- ABANDON: no action will be taken. The child executions will continue to run.

<note>A child policy for this workflow execution must be specified either as a default for the workflow type or through this parameter. If neither this parameter is set nor a default child policy was specified at registration time then a fault will be returned.</note>

Parameters:
  `childPolicy` - If set, specifies the policy to use for the child workflow executions of the new execution if it is terminated by calling the TerminateWorkflowExecution action explicitly or due to an expired timeout. This policy overrides the default child policy specified when registering the workflow type using RegisterWorkflowType.

  The supported child policies are:

  - TERMINATE: the child executions will be terminated.
  - REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
  - ABANDON: no action will be taken. The child executions will continue to run.
  <note>A child policy for this workflow execution must be specified either as a default for the workflow type or through this parameter. If neither this parameter is set nor a default child policy was specified at registration time then a fault will be returned.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `ChildPolicy`

#### setChildPolicy

    public void setChildPolicy(ChildPolicy childPolicy)

If set, specifies the policy to use for the child workflow executions of the new execution if it is terminated by calling the TerminateWorkflowExecution action explicitly or due to an expired timeout. This policy overrides the default child policy specified when registering the workflow type using RegisterWorkflowType.

The supported child policies are:

- TERMINATE: the child executions will be terminated.
- REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
- ABANDON: no action will be taken. The child executions will continue to run.

<note>A child policy for this workflow execution must be specified either as a default for the workflow type or through this parameter. If neither this parameter is set nor a default child policy was specified at registration time then a fault will be returned.</note>

Parameters:
  `childPolicy` - If set, specifies the policy to use for the child workflow executions of the new execution if it is terminated by calling the TerminateWorkflowExecution action explicitly or due to an expired timeout. This policy overrides the default child policy specified when registering the workflow type using RegisterWorkflowType.

  The supported child policies are:

  - TERMINATE: the child executions will be terminated.
  - REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
  - ABANDON: no action will be taken. The child executions will continue to run.
  <note>A child policy for this workflow execution must be specified either as a default for the workflow type or through this parameter. If neither this parameter is set nor a default child policy was specified at registration time then a fault will be returned.
See Also:
  `ChildPolicy`

#### withChildPolicy

    public ContinueAsNewWorkflowExecutionDecisionAttributes withChildPolicy(ChildPolicy childPolicy)

If set, specifies the policy to use for the child workflow executions of the new execution if it is terminated by calling the TerminateWorkflowExecution action explicitly or due to an expired timeout. This policy overrides the default child policy specified when registering the workflow type using RegisterWorkflowType.

The supported child policies are:

- TERMINATE: the child executions will be terminated.
- REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
- ABANDON: no action will be taken. The child executions will continue to run.

<note>A child policy for this workflow execution must be specified either as a default for the workflow type or through this parameter. If neither this parameter is set nor a default child policy was specified at registration time then a fault will be returned.</note>

Parameters:
  `childPolicy` - If set, specifies the policy to use for the child workflow executions of the new execution if it is terminated by calling the TerminateWorkflowExecution action explicitly or due to an expired timeout. This policy overrides the default child policy specified when registering the workflow type using RegisterWorkflowType.

  The supported child policies are:

  - TERMINATE: the child executions will be terminated.
  - REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
  - ABANDON: no action will be taken. The child executions will continue to run.
  <note>A child policy for this workflow execution must be specified either as a default for the workflow type or through this parameter. If neither this parameter is set nor a default child policy was specified at registration time then a fault will be returned.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `ChildPolicy`

#### getTagList

    public List<String> getTagList()

The list of tags to associate with the new workflow execution. A maximum of 5 tags can be specified. You can list workflow executions with a specific tag by calling ListOpenWorkflowExecutions or ListClosedWorkflowExecutions and specifying a TagFilter.

Returns:
  The list of tags to associate with the new workflow execution. A maximum of 5 tags can be specified. You can list workflow executions with a specific tag by calling ListOpenWorkflowExecutions or ListClosedWorkflowExecutions and specifying a TagFilter.

#### setTagList

    public void setTagList(Collection<String> tagList)

The list of tags to associate with the new workflow execution. A maximum of 5 tags can be specified. You can list workflow executions with a specific tag by calling ListOpenWorkflowExecutions or ListClosedWorkflowExecutions and specifying a TagFilter.

Parameters:
  `tagList` - The list of tags to associate with the new workflow execution. A maximum of 5 tags can be specified. You can list workflow executions with a specific tag by calling ListOpenWorkflowExecutions or ListClosedWorkflowExecutions and specifying a TagFilter.

#### withTagList

    public ContinueAsNewWorkflowExecutionDecisionAttributes withTagList(String... tagList)

The list of tags to associate with the new workflow execution. A maximum of 5 tags can be specified. You can list workflow executions with a specific tag by calling ListOpenWorkflowExecutions or ListClosedWorkflowExecutions and specifying a TagFilter.

NOTE: This method appends the values to the existing list (if any). Use `setTagList(java.util.Collection)` or `withTagList(java.util.Collection)` if you want to override the existing values.

Parameters:
  `tagList` - The list of tags to associate with the new workflow execution. A maximum of 5 tags can be specified. You can list workflow executions with a specific tag by calling ListOpenWorkflowExecutions or ListClosedWorkflowExecutions and specifying a TagFilter.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withTagList

    public ContinueAsNewWorkflowExecutionDecisionAttributes withTagList(Collection<String> tagList)

The list of tags to associate with the new workflow execution. A maximum of 5 tags can be specified. You can list workflow executions with a specific tag by calling ListOpenWorkflowExecutions or ListClosedWorkflowExecutions and specifying a TagFilter.

Parameters:
  `tagList` - The list of tags to associate with the new workflow execution. A maximum of 5 tags can be specified. You can list workflow executions with a specific tag by calling ListOpenWorkflowExecutions or ListClosedWorkflowExecutions and specifying a TagFilter.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setWorkflowTypeVersion

    public void setWorkflowTypeVersion(String workflowTypeVersion)

Parameters:
  `workflowTypeVersion` -

#### getWorkflowTypeVersion

    public String getWorkflowTypeVersion()

Returns:

#### withWorkflowTypeVersion

    public ContinueAsNewWorkflowExecutionDecisionAttributes withWorkflowTypeVersion(String workflowTypeVersion)

Parameters:
  `workflowTypeVersion` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setLambdaRole

    public void setLambdaRole(String lambdaRole)

The ARN of an IAM role that authorizes Amazon SWF to invoke AWS Lambda functions.

<note>In order for this workflow execution to invoke AWS Lambda functions, an appropriate IAM role must be specified either as a default for the workflow type or through this field.</note>

Parameters:
  `lambdaRole` - The ARN of an IAM role that authorizes Amazon SWF to invoke AWS Lambda functions. <note>In order for this workflow execution to invoke AWS Lambda functions, an appropriate IAM role must be specified either as a default for the workflow type or through this field.

#### getLambdaRole

    public String getLambdaRole()

The ARN of an IAM role that authorizes Amazon SWF to invoke AWS Lambda functions.

<note>In order for this workflow execution to invoke AWS Lambda functions, an appropriate IAM role must be specified either as a default for the workflow type or through this field.</note>

Returns:
  The ARN of an IAM role that authorizes Amazon SWF to invoke AWS Lambda functions. <note>In order for this workflow execution to invoke AWS Lambda functions, an appropriate IAM role must be specified either as a default for the workflow type or through this field.

#### withLambdaRole

    public ContinueAsNewWorkflowExecutionDecisionAttributes withLambdaRole(String lambdaRole)

The ARN of an IAM role that authorizes Amazon SWF to invoke AWS Lambda functions.

<note>In order for this workflow execution to invoke AWS Lambda functions, an appropriate IAM role must be specified either as a default for the workflow type or through this field.</note>

Parameters:
  `lambdaRole` - The ARN of an IAM role that authorizes Amazon SWF to invoke AWS Lambda functions. <note>In order for this workflow execution to invoke AWS Lambda functions, an appropriate IAM role must be specified either as a default for the workflow type or through this field.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public ContinueAsNewWorkflowExecutionDecisionAttributes clone()

Overrides:
  `clone` in class `Object`